UberspectImpl.VelGetterImpl (Velocity 1.7 API)
Keywords: org.apache.velocity.util.introspection.UberspectImpl.VelGetterImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class UberspectImpl.VelGetterImpl

    java.lang.Object
      org.apache.velocity.util.introspection.UberspectImpl.VelGetterImpl

All Implemented Interfaces:
  VelPropertyGet

Enclosing class:
  UberspectImpl

public static class UberspectImpl.VelGetterImpl
extends Object
implements VelPropertyGet

Constructor Summary
`UberspectImpl.VelGetterImpl(AbstractExecutor exec)`

Method Summary
`String` | `getMethodName()` returns the method name used to return this 'property'
`Object` | `invoke(Object o)` invocation method - called when the 'get action' should be preformed and a value returned
`boolean` | `isCacheable()` specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UberspectImpl.VelGetterImpl

    public UberspectImpl.VelGetterImpl(AbstractExecutor exec)

Parameters:
  `exec` -

Method Detail

### invoke

    public Object invoke(Object o)
                  throws Exception

  Description copied from interface: `VelPropertyGet`
  invocation method - called when the 'get action' should be preformed and a value returned

  Specified by:
    `invoke` in interface `VelPropertyGet`
  Parameters:
    `o` -
  Returns:
    The resulting Object.
  Throws:
    `Exception`
  See Also:
    `VelPropertyGet.invoke(java.lang.Object)`

### isCacheable

    public boolean isCacheable()

  Description copied from interface: `VelPropertyGet`
  specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

  Specified by:
    `isCacheable` in interface `VelPropertyGet`
  Returns:
    true if can be reused for this class, false if not
  See Also:
    `VelPropertyGet.isCacheable()`

### getMethodName

    public String getMethodName()

  Description copied from interface: `VelPropertyGet`
  returns the method name used to return this 'property'

  Specified by:
    `getMethodName` in interface `VelPropertyGet`
  Returns:
    The method name used to return this 'property'
  See Also:
    `VelPropertyGet.getMethodName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.